<?php  
	$gardenlandscapingcoach_hs_blog 			= esc_attr(get_theme_mod('hs_blog','1'));
	$gardenlandscapingcoach_blog_title 		= esc_attr(get_theme_mod('blog_title'));
	$gardenlandscapingcoach_blog_subtitle		= esc_attr(get_theme_mod('blog_subtitle')); 
	$gardenlandscapingcoach_blog_description	= esc_attr(get_theme_mod('blog_description'));
	$gardenlandscapingcoach_blog_num			= esc_attr(get_theme_mod('blog_display_num','3'));
	if($gardenlandscapingcoach_hs_blog=='1'):
?>

<section id="blog-section" class="blog-area home-blog">
	<div class="<?php if(esc_attr(get_theme_mod('gardenlandscapingcoach_blog_section_width','Box Width')) == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(esc_attr(get_theme_mod('gardenlandscapingcoach_blog_section_width','Box Width')) == 'Box Width'){ ?> container <?php }?>">

	<!-- <div class="container"> -->

	 	<?php 

			$blog_heading = esc_attr(get_theme_mod('blog_heading','Our Blog'));

		?>

		<div class="row justify-content-center text-center">
			<!-- <div class="col-md-10 col-lg-8"> -->
				<div class="header-section">
					<div class="image-icon">
                        <?php  
                        echo '<img alt="about us" src="'.get_template_directory_uri().'/assets/images/leaf_head_icon.png" class="peccular-about-imgboxshape" />';
	                    ?>
	                </div>
					<h3 class="section-title"><?php echo apply_filters('gardenlandscapingcoach_blog', $blog_heading); ?>
					<div class="sec-header-bord"></div>
					</h3>

					<div class="clearfix"></div>
				</div>
			<!-- </div> -->
		</div>


		<?php if(!empty($gardenlandscapingcoach_blog_title) || !empty($gardenlandscapingcoach_blog_subtitle) || !empty($gardenlandscapingcoach_blog_description)): ?>
			<div class="title">
				<?php if(!empty($gardenlandscapingcoach_blog_title)): ?>
					<h6><?php echo wp_kses_post($gardenlandscapingcoach_blog_title); ?></h6>
				<?php endif; ?>
				
				<?php if(!empty($gardenlandscapingcoach_blog_subtitle)): ?>
					<h2><?php echo wp_kses_post($gardenlandscapingcoach_blog_subtitle); ?></h2>
					<span class="shap"></span>
				<?php endif; ?>
				
				<?php if(!empty($gardenlandscapingcoach_blog_description)): ?>
					<p><?php echo wp_kses_post($gardenlandscapingcoach_blog_description); ?></p>
				<?php endif; ?>
			</div>
		<?php endif; ?> 


		<div class="row">
			<?php 	
				$gardenlandscapingcoach_blogs_args = array( 'post_type' => 'post', 'posts_per_page' => $gardenlandscapingcoach_blog_num,'post__not_in'=>get_option("sticky_posts")) ; 	
				$gardenlandscapingcoach_blog_wp_query = new WP_Query($gardenlandscapingcoach_blogs_args);
				if($gardenlandscapingcoach_blog_wp_query)
				{	
				while($gardenlandscapingcoach_blog_wp_query->have_posts()):$gardenlandscapingcoach_blog_wp_query->the_post(); ?>
				<div class="col-lg-4 col-md-4 col-sm-12 ">
					<div id="post-<?php the_ID(); ?>" <?php post_class('blog-item'); ?>>	
						<!-- <//?php echo esc_html(get_the_date('j')); ?>, <//?php echo esc_html(get_the_date('M')); ?> -->
						
						<?php if (has_post_thumbnail( $post->ID ) ): ?>
						<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
						<a href="<?php echo esc_url( get_permalink() ); ?>">
							<div class="blog-image" style="background-image: url('<?php echo $image[0]; ?>')"></div>
						</a>
						<?php else: 
							$img = get_template_directory_uri().'/assets/images/default.png';
							?>
							<a href="<?php echo esc_url( get_permalink() ); ?>">
								<div class="blog-image" style="background-image: url('<?php echo $img; ?>')"></div>
							</a>
						<?php endif; ?>
						<div class="blog-content">
							<div class="row">
								<div class="col-md-6">
									<div class="box-admin"><i class="fa fa-user "></i> <span><?php echo get_the_author(); ?></span>
									</div>
								</div>
								<div class="col-md-6">
									<div class="box-date"><i class="fa fa-calendar-o"></i> <span><?php echo esc_html(get_the_date('j ')); echo esc_html(get_the_date('M'));?>,<?php echo esc_html(get_the_date(' Y')); ?></span>
									</div>
								</div>
							</div>

							

							<?php 
								if ( is_single() ) :
									
								the_title('<h6 class="post-title">', '</h6>' );
								
								else:
								
								the_title( sprintf( '<h6 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
								
								endif; 
								?> 
								<p>
							 		<?php echo wp_trim_words(get_the_content(), 15);	?>
							 	</p>
								
							
							<a class="btn_blog" href="<?php echo esc_url( get_permalink() ); ?>">
								<?php esc_html_e( 'READ MORE', 'garden-landscaping-coach' ); ?>
							</a>
						</div>
						
					</div>




				</div>

			<?php endwhile; 
				}
				wp_reset_postdata();
			?>
		</div>

	<!-- </div> -->
	</div>

</section>
<?php endif; ?>